Index: branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Plugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Plugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Plugin.cs.frame	(revision 6195)
@@ -23,5 +23,5 @@
 
 namespace HeuristicLab.Problems.QuadraticAssignment {
-  [Plugin("HeuristicLab.Problems.QuadraticAssignment", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.QuadraticAssignment", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.QuadraticAssignment-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
Index: branches/histogram/HeuristicLab.Problems.TestFunctions.Views/3.3/HeuristicLabProblemsTestFunctionsViewsPlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.TestFunctions.Views/3.3/HeuristicLabProblemsTestFunctionsViewsPlugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.TestFunctions.Views/3.3/HeuristicLabProblemsTestFunctionsViewsPlugin.cs.frame	(revision 6195)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Problems.TestFunctions.Views plugin
   /// </summary>
-  [Plugin("HeuristicLab.Problems.TestFunctions.Views", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.TestFunctions.Views", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.TestFunctions.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/histogram/HeuristicLab.Problems.TestFunctions.Views/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.TestFunctions.Views/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.TestFunctions.Views/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
Index: branches/histogram/HeuristicLab.Problems.TestFunctions/3.3/HeuristicLabProblemsTestFunctionsPlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.TestFunctions/3.3/HeuristicLabProblemsTestFunctionsPlugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.TestFunctions/3.3/HeuristicLabProblemsTestFunctionsPlugin.cs.frame	(revision 6195)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Problems.TestFunctions plugin
   /// </summary>
-  [Plugin("HeuristicLab.Problems.TestFunctions", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.TestFunctions", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.TestFunctions-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/histogram/HeuristicLab.Problems.TestFunctions/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.TestFunctions/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.TestFunctions/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
Index: branches/histogram/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLabProblemsTravelingSalesmanViewsPlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLabProblemsTravelingSalesmanViewsPlugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLabProblemsTravelingSalesmanViewsPlugin.cs.frame	(revision 6195)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Problems.TravelingSalesman.Views plugin
   /// </summary>
-  [Plugin("HeuristicLab.Problems.TravelingSalesman.Views", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.TravelingSalesman.Views", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.TravelingSalesman.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
Index: branches/histogram/HeuristicLab.Problems.TravelingSalesman.Views/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.TravelingSalesman.Views/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.TravelingSalesman.Views/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
Index: branches/histogram/HeuristicLab.Problems.TravelingSalesman/3.3/HeuristicLabProblemsTravelingSalesmanPlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.TravelingSalesman/3.3/HeuristicLabProblemsTravelingSalesmanPlugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.TravelingSalesman/3.3/HeuristicLabProblemsTravelingSalesmanPlugin.cs.frame	(revision 6195)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Problems.TravelingSalesman plugin
   /// </summary>
-  [Plugin("HeuristicLab.Problems.TravelingSalesman", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.TravelingSalesman", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.TravelingSalesman-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]
Index: branches/histogram/HeuristicLab.Problems.TravelingSalesman/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.TravelingSalesman/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.TravelingSalesman/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
Index: branches/histogram/HeuristicLab.Problems.VehicleRouting.Views/3.3/HeuristicLabProblemsVehicleRoutingViewsPlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.VehicleRouting.Views/3.3/HeuristicLabProblemsVehicleRoutingViewsPlugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.VehicleRouting.Views/3.3/HeuristicLabProblemsVehicleRoutingViewsPlugin.cs.frame	(revision 6195)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Problems.VehicleRouting.Views plugin
   /// </summary>
-  [Plugin("HeuristicLab.Problems.VehicleRouting.Views", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.VehicleRouting.Views", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.VehicleRouting.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
Index: branches/histogram/HeuristicLab.Problems.VehicleRouting.Views/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.VehicleRouting.Views/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.VehicleRouting.Views/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
Index: branches/histogram/HeuristicLab.Problems.VehicleRouting/3.3/HeuristicLabProblemsVehicleRoutingPlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.VehicleRouting/3.3/HeuristicLabProblemsVehicleRoutingPlugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.VehicleRouting/3.3/HeuristicLabProblemsVehicleRoutingPlugin.cs.frame	(revision 6195)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Problems.VehicleRouting plugin
   /// </summary>
-  [Plugin("HeuristicLab.Problems.VehicleRouting", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.VehicleRouting", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.VehicleRouting-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]
Index: branches/histogram/HeuristicLab.Problems.VehicleRouting/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.Problems.VehicleRouting/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Problems.VehicleRouting/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
Index: branches/histogram/HeuristicLab.Random/3.3/HeuristicLabRandomPlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Random/3.3/HeuristicLabRandomPlugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Random/3.3/HeuristicLabRandomPlugin.cs.frame	(revision 6195)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Random plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Random", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.Random", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.Random-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/histogram/HeuristicLab.Random/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.Random/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Random/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
Index: branches/histogram/HeuristicLab.Selection/3.3/HeuristicLabSelectionPlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/HeuristicLabSelectionPlugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Selection/3.3/HeuristicLabSelectionPlugin.cs.frame	(revision 6195)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Selection plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Selection", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.Selection", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.Selection-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/histogram/HeuristicLab.Selection/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Selection/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
Index: branches/histogram/HeuristicLab.Selection/3.3/RandomReplacer.cs
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/RandomReplacer.cs	(revision 6194)
+++ branches/histogram/HeuristicLab.Selection/3.3/RandomReplacer.cs	(revision 6195)
@@ -65,8 +65,10 @@
       randomSelector.RandomParameter.ActualName = RandomParameter.Name;
       ReplacedSelectorParameter.Value = randomSelector;
+      ReplacedSelectorParameter.Hidden = true;
       BestSelector bestSelector = new BestSelector();
       bestSelector.MaximizationParameter.ActualName = MaximizationParameter.Name;
       bestSelector.QualityParameter.ActualName = QualityParameter.Name;
       SelectedSelectorParameter.Value = bestSelector;
+      SelectedSelectorParameter.Hidden = true;
     }
   }
Index: branches/histogram/HeuristicLab.Selection/3.3/WorstReplacer.cs
===================================================================
--- branches/histogram/HeuristicLab.Selection/3.3/WorstReplacer.cs	(revision 6194)
+++ branches/histogram/HeuristicLab.Selection/3.3/WorstReplacer.cs	(revision 6195)
@@ -60,8 +60,10 @@
       worstSelector.QualityParameter.ActualName = QualityParameter.Name;
       ReplacedSelectorParameter.Value = worstSelector;
+      ReplacedSelectorParameter.Hidden = true;
       BestSelector bestSelector = new BestSelector();
       bestSelector.MaximizationParameter.ActualName = MaximizationParameter.Name;
       bestSelector.QualityParameter.ActualName = QualityParameter.Name;
       SelectedSelectorParameter.Value = bestSelector;
+      SelectedSelectorParameter.Hidden = true;
     }
   }
Index: branches/histogram/HeuristicLab.SequentialEngine/3.3/HeuristicLabSequentialEnginePlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.SequentialEngine/3.3/HeuristicLabSequentialEnginePlugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.SequentialEngine/3.3/HeuristicLabSequentialEnginePlugin.cs.frame	(revision 6195)
@@ -29,5 +29,5 @@
   /// Plugin class for HeuristicLab.SequentialEngine plugin.
   /// </summary>
-  [Plugin("HeuristicLab.SequentialEngine", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.SequentialEngine", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.SequentialEngine-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
Index: branches/histogram/HeuristicLab.SequentialEngine/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.SequentialEngine/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.SequentialEngine/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
Index: branches/histogram/HeuristicLab.Tracing/3.3/HeuristicLab.Tracing-3.3.csproj
===================================================================
--- branches/histogram/HeuristicLab.Tracing/3.3/HeuristicLab.Tracing-3.3.csproj	(revision 6194)
+++ branches/histogram/HeuristicLab.Tracing/3.3/HeuristicLab.Tracing-3.3.csproj	(revision 6195)
@@ -96,8 +96,4 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=1b44e1d426115821, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0\log4net.dll</HintPath>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -115,19 +111,9 @@
   <ItemGroup>
     <None Include="HeuristicLabTracingPlugin.cs.frame" />
-    <Compile Include="HiveLogger.cs" />
+    <Compile Include="HeuristicLabTracingPlugin.cs" />
     <Compile Include="Logger.cs" />
-    <Compile Include="HeuristicLabTracingPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="Properties\Settings.Designer.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTimeSharedInput>True</DesignTimeSharedInput>
-      <DependentUpon>Settings.settings</DependentUpon>
-    </Compile>
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0\HeuristicLab.log4net-1.2.10.0.csproj">
-      <Project>{1B3063DB-D71C-4A6A-A359-883E8F53A140}</Project>
-      <Name>HeuristicLab.log4net-1.2.10.0</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
@@ -139,16 +125,4 @@
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
-    <None Include="Properties\Settings.settings">
-      <Generator>SettingsSingleFileGenerator</Generator>
-      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
-    </None>
-    <Content Include="HeuristicLab.log4net.xml">
-      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
-    </Content>
-  </ItemGroup>
-  <ItemGroup>
-    <Content Include="HeuristicLab.Hive.log4net.xml">
-      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
-    </Content>
   </ItemGroup>
   <ItemGroup>
Index: branches/histogram/HeuristicLab.Tracing/3.3/HeuristicLabTracingPlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Tracing/3.3/HeuristicLabTracingPlugin.cs.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Tracing/3.3/HeuristicLabTracingPlugin.cs.frame	(revision 6195)
@@ -27,8 +27,6 @@
   /// HeuristicLab Tracing Plugin
   /// </summary>  
-  [Plugin("HeuristicLab.Tracing", "3.3.3.$WCREV$")]
+  [Plugin("HeuristicLab.Tracing", "3.3.4.$WCREV$")]
   [PluginFile("HeuristicLab.Tracing-3.3.dll", PluginFileType.Assembly)]
-  [PluginFile("HeuristicLab.log4net.xml", PluginFileType.Data)]
-  [PluginDependency("HeuristicLab.log4net", "1.2.10.0")]
   public class HeuristicLabPersistencePlugin : PluginBase {}
 
Index: branches/histogram/HeuristicLab.Tracing/3.3/Logger.cs
===================================================================
--- branches/histogram/HeuristicLab.Tracing/3.3/Logger.cs	(revision 6194)
+++ branches/histogram/HeuristicLab.Tracing/3.3/Logger.cs	(revision 6195)
@@ -20,210 +20,126 @@
 #endregion
 
+
 using System;
 using System.Diagnostics;
-using System.IO;
-using HeuristicLab.Tracing.Properties;
-using log4net;
-using log4net.Config;
-
 namespace HeuristicLab.Tracing {
 
   /// <summary>
-  /// HeuristicLab Tracing entry point. Default logger. Reads configured tracing
-  /// file and provides automatic logging with reflection of the calling type.
+  /// HeuristicLab.Tracing using System.Diagnostics.Trace.
+  /// Note that tracing is only activated if the DEBUG or TRACE symbol is set. 
+  /// Configuration (type of listener, file name, ...) is done in app.config in the <system.diagnostics> section. 
   /// </summary>
   public class Logger {
 
     /// <summary>
-    /// true if Configure has been called already.
+    /// Issues a debug message.
     /// </summary>
-    protected static bool IsConfigured = false;
-
-    /// <summary>
-    /// Configures this instance: Reads the log file specified in the settings.
-    /// </summary>
-    protected static void Configure() {
-      if (IsConfigured) return;
-      IsConfigured = true;
-      if (string.IsNullOrEmpty(Settings.Default.TracingLog4netConfigFile)) {
-        Settings.Default.TracingLog4netConfigFile =
-            "HeuristicLab.log4net.xml";
-      }
-      XmlConfigurator.ConfigureAndWatch(
-        new FileInfo(Settings.Default.TracingLog4netConfigFile));
-      Info("logging initialized " + DateTime.Now);
+    /// <param name="message">The message.</param>
+    public static void Debug(object message) {
+      StackFrame frame = new StackFrame(1);
+      Trace.TraceInformation("{0} - {1}", frame.GetMethod().DeclaringType, message);
     }
 
     /// <summary>
-    /// Gets the default logger for the calling class n levels up in the
-    /// call hierarchy.
+    /// Issues an informational message. 
     /// </summary>
-    /// <param name="nParents">The number of parent calls.</param>
-    /// <returns>An <see cref="ILog"/> instance.</returns>
-    public static ILog GetDefaultLogger(int nParents) {
-      Configure();
-      StackFrame frame = new StackFrame(nParents + 1);
-      return LogManager.GetLogger(frame.GetMethod().DeclaringType);
+    /// <param name="message">The message.</param>
+    public static void Info(object message) {
+      StackFrame frame = new StackFrame(1);
+      Trace.TraceInformation("{0} - {1}", frame.GetMethod().DeclaringType, message);
     }
 
     /// <summary>
-    /// Gets the default logger: The logger for the class of the
-    /// calling method.
+    /// Issues a warning message.
     /// </summary>
-    /// <returns>An <see cref="ILog"/> instance.</returns>
-    public static ILog GetDefaultLogger() {
-      Configure();
+    /// <param name="message">The message.</param>
+    public static void Warn(object message) {
       StackFrame frame = new StackFrame(1);
-      return LogManager.GetLogger(frame.GetMethod().DeclaringType);
+      Trace.TraceWarning("{0} - {1}", frame.GetMethod().DeclaringType, message);
     }
 
     /// <summary>
-    /// Issues a debug message to the default logger.
+    /// Issues an error message.
     /// </summary>
     /// <param name="message">The message.</param>
-    public static void Debug(object message) {
-      GetDefaultLogger(1).Debug(message);
+    public static void Error(object message) {
+      StackFrame frame = new StackFrame(1);
+      Trace.TraceError("{0} - {1}", frame.GetMethod().DeclaringType, message);
     }
 
     /// <summary>
-    /// Issues an informational message to the default logger.
-    /// </summary>
-    /// <param name="message">The message.</param>
-    public static void Info(object message) {
-      GetDefaultLogger(1).Info(message);
-    }
-
-    /// <summary>
-    /// Issues a warning message to the default logger.
-    /// </summary>
-    /// <param name="message">The message.</param>
-    public static void Warn(object message) {
-      GetDefaultLogger(1).Warn(message);
-    }
-
-    /// <summary>
-    /// Issues an error message to the default logger.
-    /// </summary>
-    /// <param name="message">The message.</param>
-    public static void Error(object message) {
-      GetDefaultLogger(1).Error(message);
-    }
-
-    /// <summary>
-    /// Issues a fatal error message to the default logger.
-    /// </summary>
-    /// <param name="message">The message.</param>
-    public static void Fatal(object message) {
-      GetDefaultLogger(1).Fatal(message);
-    }
-
-    /// <summary>
-    /// Issues a debug message to the logger of the specified type.
+    /// Issues a debug message of the specified type.
     /// </summary>
     /// <param name="type">The type.</param>
     /// <param name="message">The message.</param>
     public static void Debug(Type type, object message) {
-      Configure();
-      LogManager.GetLogger(type).Debug(message);
+      Trace.TraceInformation("{0}: {1}", type, message);
     }
 
     /// <summary>
-    /// Issues an iformational message to the logger of the specified
-    /// type.
+    /// Issues an informational message of the specified type.
     /// </summary>
     /// <param name="type">The type.</param>
     /// <param name="message">The message.</param>
     public static void Info(Type type, object message) {
-      Configure();
-      LogManager.GetLogger(type).Info(message);
+      Trace.TraceInformation("{0}: {1}", type, message);
     }
 
     /// <summary>
-    /// Issues a warning message to the logger of
-    /// the specified type.
+    /// Issues a warning message of the specified type.
     /// </summary>
     /// <param name="type">The type.</param>
     /// <param name="message">The message.</param>
     public static void Warn(Type type, object message) {
-      Configure();
-      LogManager.GetLogger(type).Warn(message);
+      Trace.TraceWarning("{0}: {1}", type, message);
     }
 
     /// <summary>
-    /// Issues an error message to the logger of the specified
-    /// type.
+    /// Issues an error message of the specified type.
     /// </summary>
     /// <param name="type">The type.</param>
     /// <param name="message">The message.</param>
     public static void Error(Type type, object message) {
-      Configure();
-      LogManager.GetLogger(type).Error(message);
+      Trace.TraceError("{0}: {1}", type, message);
     }
 
     /// <summary>
-    /// Issues a fatal error message to the logger of
-    /// the specified type.
-    /// </summary>
-    /// <param name="type">The type.</param>
-    /// <param name="message">The message.</param>
-    public static void Fatal(Type type, object message) {
-      Configure();
-      LogManager.GetLogger(type).Fatal(message);
-    }
-
-    /// <summary>
-    /// Issues a debug message to the default
-    /// logger including an exception.
+    /// Issues a debug message including an exception.
     /// </summary>
     /// <param name="message">The message.</param>
     /// <param name="exception">The exception.</param>
     public static void Debug(object message, Exception exception) {
-      GetDefaultLogger(1).Debug(message, exception);
+      Trace.TraceInformation("{0}: {1}:", message, exception);
     }
 
     /// <summary>
-    /// Issues an informational message to the default
-    /// logger including an exception.
+    /// Issues an informational message including an exception.
     /// </summary>
     /// <param name="message">The message.</param>
-    /// <param name="exception">The exception.</param>
-
+    /// <param name="exception">The exception.</param>        
     public static void Info(object message, Exception exception) {
-      GetDefaultLogger(1).Info(message, exception);
+      Trace.TraceInformation("{0}: {1}:", message, exception);
     }
 
     /// <summary>
-    /// Issues a warning message to the default
-    /// logger including an exception.
+    /// Issues a warning message including an exception.
     /// </summary>
     /// <param name="message">The message.</param>
     /// <param name="exception">The exception.</param>
     public static void Warn(object message, Exception exception) {
-      GetDefaultLogger(1).Warn(message, exception);
+      Trace.TraceWarning("{0}: {1}:", message, exception);
     }
 
     /// <summary>
-    /// Issues an error message to the default
-    /// logger including an exception.
+    /// Issues an error message including an exception.
     /// </summary>
     /// <param name="message">The message.</param>
     /// <param name="exception">The exception.</param>
     public static void Error(object message, Exception exception) {
-      GetDefaultLogger(1).Error(message, exception);
+      Trace.TraceError("{0}: {1}:", message, exception);
     }
 
     /// <summary>
-    /// Issues a fatal error message to the default
-    /// logger including an exception.
-    /// </summary>
-    /// <param name="message">The message.</param>
-    /// <param name="exception">The exception.</param>
-    public static void Fatal(object message, Exception exception) {
-      GetDefaultLogger(1).Fatal(message, exception);
-    }
-
-    /// <summary>
-    /// Issues a debug message to the logger of the specified
-    /// type including an exception.
+    /// Issues a debug message of the specified type including an exception.
     /// </summary>
     /// <param name="type">The type.</param>
@@ -231,11 +147,9 @@
     /// <param name="exception">The exception.</param>
     public static void Debug(Type type, object message, Exception exception) {
-      Configure();
-      LogManager.GetLogger(type).Debug(message, exception);
+      Trace.TraceInformation("{0}: {1}: {2}", type, message, exception);
     }
 
     /// <summary>
-    /// Issues an informational message to the logger of the specified
-    /// type including an exception.
+    /// Issues an informational message of the specified type including an exception.
     /// </summary>
     /// <param name="type">The type.</param>
@@ -243,11 +157,9 @@
     /// <param name="exception">The exception.</param>
     public static void Info(Type type, object message, Exception exception) {
-      Configure();
-      LogManager.GetLogger(type).Info(message, exception);
+      Trace.TraceInformation("{0}: {1}: {2}", type, message, exception);
     }
 
     /// <summary>
-    /// Issues a warning message to the logger of the specified
-    /// type including an exception.
+    /// Issues a warning message of the specified type including an exception.
     /// </summary>
     /// <param name="type">The type.</param>
@@ -255,11 +167,9 @@
     /// <param name="exception">The exception.</param>
     public static void Warn(Type type, object message, Exception exception) {
-      Configure();
-      LogManager.GetLogger(type).Warn(message, exception);
+      Trace.TraceWarning("{0}: {1}: {2}", type, message, exception);
     }
 
     /// <summary>
-    /// Issues an error message to the logger of the specified
-    /// type including an exception.
+    /// Issues an error message of the specified type including an exception.
     /// </summary>
     /// <param name="type">The type.</param>
@@ -267,18 +177,5 @@
     /// <param name="exception">The exception.</param>
     public static void Error(Type type, object message, Exception exception) {
-      Configure();
-      LogManager.GetLogger(type).Error(message, exception);
-    }
-
-    /// <summary>
-    /// Issues a fatal error message to the logger of the specified
-    /// type including an exception.
-    /// </summary>
-    /// <param name="type">The type.</param>
-    /// <param name="message">The message.</param>
-    /// <param name="exception">The exception.</param>
-    public static void Fatal(Type type, object message, Exception exception) {
-      Configure();
-      LogManager.GetLogger(type).Fatal(message, exception);
+      Trace.TraceError("{0}: {1}: {2}", type, message, exception);
     }
   }
Index: branches/histogram/HeuristicLab.Tracing/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/histogram/HeuristicLab.Tracing/3.3/Properties/AssemblyInfo.frame	(revision 6194)
+++ branches/histogram/HeuristicLab.Tracing/3.3/Properties/AssemblyInfo.frame	(revision 6195)
@@ -52,3 +52,3 @@
 //
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.3.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
